#!/bin/bash

# Get VMID from VM list: qm list
# Get all list of datastores: pvesm status

myvmid=$1
datastore=$2

echo ***
echo Moving $myvmid to $datastore
echo

for vmid in $myvmid; do
  for disk in $(qm config $vmid | grep vm-$vmid-disk | cut -d: -f1); do
    echo Moving: vm-$vmid-disk
    qm move-disk $vmid $disk $datastore --delete
  done
done
